MultipleChoiceInputRequest (Apache Ant API)
Keywords: org.apache.tools.ant.input.MultipleChoiceInputRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.input
Class MultipleChoiceInputRequest

    java.lang.Object
      org.apache.tools.ant.input.InputRequest
          org.apache.tools.ant.input.MultipleChoiceInputRequest

public class MultipleChoiceInputRequest
extends InputRequest

Encapsulates an input request.

Since:
  Ant 1.5
Version:
  $Revision: 1.1.2.1 $
Author:
  Stefan Bodewig

Constructor Summary
`MultipleChoiceInputRequest(java.lang.String prompt, java.util.Vector choices)`

Method Summary
`java.util.Vector` | `getChoices()`
`boolean` | `isInputValid()` Is the user input valid?

Methods inherited from class org.apache.tools.ant.input.InputRequest
`getInput, getPrompt, setInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleChoiceInputRequest

    public MultipleChoiceInputRequest(java.lang.String prompt,
                                      java.util.Vector choices)

Parameters:
  `prompt` - The prompt to show to the user. Must not be null.
  `choices` - holds all input values that are allowed. Must not be null.

Method Detail

### getChoices

    public java.util.Vector getChoices()

  Returns:
    The possible values.

### isInputValid

    public boolean isInputValid()

  Description copied from class: `InputRequest`
  Is the user input valid?

  Overrides:
    `isInputValid` in class `InputRequest`
  Returns:
    true if the input is one of the allowed values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.